
Foreman - Bug #13853

Deleting name on existing host leads to routing error

02/23/2016 10:49 AM - Lukas Zapletal

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Edit an existing host, delete its name, press Submit.

Instead of proper "Missing name field" error, a routing exception is thrown.

 | ActionView::Template::Error (No route matches {:action=>"toggle_manage", :controller=>"hosts", 

:id=>#<Host::Managed id: 498, name: "", last_compile: nil, last_report: nil, updated_at: "2016-02-

23 15:28:55", created_at: "2016-02-23 15:15:35", root_pass: "$5$LBgcsyL6$fE8DqUi0YUAjPvU6GdUfgr0CY

OIhyuUyagytJ4...", architecture_id: 1, operatingsystem_id: 4, environment_id: 1, ptable_id: 55, me

dium_id: 8, build: true, comment: "", disk: "", installed_at: nil, model_id: nil, hostgroup_id: 9,

 owner_id: 1, owner_type: "User", enabled: true, puppet_ca_proxy_id: nil, managed: true, use_image

: nil, image_file: nil, uuid: nil, compute_resource_id: nil, puppet_proxy_id: nil, certname: nil, 

image_id: nil, organization_id: 3, location_id: 2, type: "Host::Managed", otp: nil, realm_id: nil,

 compute_profile_id: 1, provision_method: "build", grub_pass: "$5$LBgcsyL6$fE8DqUi0YUAjPvU6GdUfgr0

CYOIhyuUyagytJ4...", discovery_rule_id: nil, global_status: 0, salt_proxy_id: nil, salt_environmen

t_id: nil, lookup_value_matcher: "fqdn=gene-ju.local.lan">} missing required keys: [:id]):

 | /home/lzap/work/foreman/app/controllers/application_controller.rb:268:in `process_error'

 | /home/lzap/work/foreman/app/controllers/hosts_controller.rb:115:in `block in update'

 | /home/lzap/work/foreman/app/models/taxonomy.rb:75:in `block in no_taxonomy_scope'

 | /home/lzap/work/foreman/app/models/taxonomy.rb:82:in `block (2 levels) in as_taxonomy'

 | /home/lzap/work/foreman/app/models/concerns/foreman/thread_session.rb:147:in `as_location'

 | /home/lzap/work/foreman/app/models/taxonomy.rb:81:in `block in as_taxonomy'

 | /home/lzap/work/foreman/app/models/concerns/foreman/thread_session.rb:112:in `as_org'

 | /home/lzap/work/foreman/app/models/taxonomy.rb:80:in `as_taxonomy'

 | /home/lzap/work/foreman/app/models/taxonomy.rb:74:in `no_taxonomy_scope'

 | /home/lzap/work/foreman/app/controllers/hosts_controller.rb:106:in `update'

Related issues:

Is duplicate of Foreman - Bug #9531: Removing host name from Host#edit throws... Closed 02/24/2015

History

#1 - 02/23/2016 10:56 AM - Dominic Cleal

- Is duplicate of Bug #9531: Removing host name from Host#edit throws routing error added

#2 - 02/23/2016 10:56 AM - Dominic Cleal

- Status changed from New to Duplicate
